geneImportanceNetwork.BigBang {galgo} | R Documentation

## Computes the number of times a couple of top-ranked-genes are present in models

### Description

Computes the number of times top-ranked-genes are present in models.

### Usage

    ## S3 method for class 'BigBang'
    geneImportanceNetwork(o,
     filter="none",
     subset=TRUE,
     mord=min(ncol(o$data$data),50),
     inc.rank=FALSE,
     inc.index=FALSE, ...)

### Arguments

`filter` | The `BigBang` object can save information about solutions that did not reach the `goalFitness`. `filter=="solutions"` ensures that only chromosomes that reach the `goalFitness` are considered. `fitlter=="none"` take all chromosomes. `filter=="nosolutions"` consider only no-solutions (for comparative purposes).
`subset` | Second level of filter. `subset` can be a vector specifying which filtered chromosomes are used. It can be a logical vector or a numeric vector (indexes in order given by `$bestChromosomes` in `BigBang` object variable). If it is a numeric vector length one, a positive value means take those top chromosomes sorted by fitness, a negative value take those at bottom.
`mord` | The number of “top-ranked-genes” to highlight.
`inc.rank` | Incluye the gene rank in rownames and colnames.
`inc.index` | Incluye the gene index in rownames and colnames.

### Value

Returns a matrix with number of overlaps for every top-ranked-gene pairs. The order correspond to rank.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`. `*distanceImportanceNetwork()`.

### Examples

    ## Not run:
       #bb is a BigBang object
       bb
       gin <- geneImportanceNetwork(bb)
       gin
       gin <- geneImportanceNetwork(bbm, mord=5)
       gin

    ## End(Not run)

[Package galgo version 1.4 Index]